Status: Closed Priority: High
Author: jayme Category: Client: General
Created: 05/14/2010 Assignee: kervala
Updated: 05/28/2010 Due date:
Subject: ELuaExecuteError: No matching overload found, setContextHelpText
Description

Using client build on linux against Lua 5.1.4-5 Luabind 0.9.0 some warnings are shown when I hoover over the menu icons:

INF b5a0fa30 common.cpp 543 Exception <Unknown> : Exception will be launched: No matching overload found, candidates:
void setContextHelpText(ucstring const&)
WRN b5a0fa30 interface_manager.cpp 5717 executeLuaScript <Unknown> : ELuaExecuteError: No matching overload found,
candidates:
void setContextHelpText(ucstring const&)

This warnings are not shown for any menu-option (e.g. "System", "Help", "Communication" are working fine).

History
#1 - 05/17/2010 04:44 pm - Kane
- File errorhoverexit.jpg added

This is also a windows issue I will attach a example screenshot

#2 - 05/17/2010 07:20 pm - ThibG

The problem arises when getMilkoTooltipWithKey uses concatUCString.
I suspect it to be broken, probably because of CLuaIHM::push (lua_ihm.cpp:290).

#3 - 05/18/2010 09:46 am - kervala
- Status changed from New to Assigned
- Assignee set to kervala
- Priority changed from Normal to High

Well done ThibG :) It was effectively that :)

#4 - 05/18/2010 09:48 am - kervala
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset r185.

08/23/2018 1/2



#5 - 05/18/2010 09:56 am - kervala
- Target version set to Version 0.8.0

#6 - 05/28/2010 05:24 pm - vl
- Status changed from Resolved to Closed
errorhoverexit.jpg 685.1 kB 05/17/2010 Kane
